Last Comment Bug 730784 - Collusion 0.16.1 add-on (prelim.) leaves a zombie compartment behind when disabled
: Collusion 0.16.1 add-on (prelim.) leaves a zombie compartment behind when dis...
Status: RESOLVED FIXED
[MemShrink:P3]
:
Product: Tech Evangelism
Classification: Other
Component: Add-ons (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
https://addons.mozilla.org/en-US/fire...
Depends on: 724404
Blocks: LeakyAddons ZombieCompartments
  Show dependency treegraph
 
Reported: 2012-02-27 04:35 PST by Nils Maier [:nmaier]
Modified: 2012-04-19 12:49 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Nils Maier [:nmaier] 2012-02-27 04:35:58 PST
STR:
- Install and disable the add-on
- about:memory?verbose + Minimize memory usage
-> Compartment or compartments (depending on sameGroupAs availability for sandboxes) still present.

The add-on uses widget, so the leaks are probably a result of the fix for bug 724404 not being present in the SDK 1.5 (see bug 730566 comment 5)
Comment 1 Jono Xia 2012-02-27 10:01:23 PST
Hi Nils,
Thanks for investigating this problem!
What should I do about it? Is there a workaround, or do I just have to wait for a new release of the SDK and then use it to rebuild the add-on?
Comment 2 Nils Maier [:nmaier] 2012-02-27 10:33:04 PST
There is no workaround that I know of.

What you can do in the meantime: Get the add-on sdk from github and test that your add-on does not leak when built with the stabilization branch (or master).
https://github.com/mozilla/addon-sdk/
If your add-on still leaks, there might be other, unrelated leaks caused directly by your add-on code which must be fixed.

Please note that we cannot accept add-ons that were built with non-release SDK versions on AMO.
Comment 3 Nicholas Nethercote [:njn] (on vacation until July 11) 2012-02-27 11:52:59 PST
Nils, I wonder if it's worth not reporting these kinds of leaks for a while?  We already have a bunch of them on file and it's the SDK's fault, right?
Comment 4 Nils Maier [:nmaier] 2012-02-27 12:32:01 PST
(In reply to Nicholas Nethercote [:njn] from comment #3)
> Nils, I wonder if it's worth not reporting these kinds of leaks for a while?
> We already have a bunch of them on file and it's the SDK's fault, right?

I considered that myself... Actually I did/do so when reviewing SDK 1.4.x add-ons.
I guess that there is indeed no added value in creating new bugs where the leaks are clearly a result of the SDK bug. If such add-ons have other bugs, then the next SDK update will expose them.

Care to inform amo-editors-internal?
Comment 5 Jorge Villalobos [:jorgev] 2012-04-04 15:29:15 PDT
Jono: version 1.6 of the SDK is now available. This version should address the pending memory leaks in your add-on. Please upgrade your add-on to use SDK 1.6 and submit a new version as soon as possible.
Comment 6 Jorge Villalobos [:jorgev] 2012-04-18 15:10:55 PDT
* pokes Jono again *
Comment 7 Jono Xia 2012-04-19 09:43:10 PDT
Hi Jorge!
Sorry, I was on vacation. I will do this today.
Comment 8 Jono Xia 2012-04-19 12:49:42 PDT
Just rebuilt with SDK 1.6 and pushed the new XPI file to addons.mozilla.org.

Note You need to log in before you can comment on or make changes to this bug.